atsc_eit.h File Reference
Digital TV table parsing

Provides the table parser for the ATSC EIT (Event Information Table). More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <time.h>`
`#include <libdvbv5/atsc_header.h>`

Go to the source code of this file.

## Data Structures

struct | atsc_table_eit_event
| ATSC EIT event table. More...
union | atsc_table_eit_desc_length
| ATSC EIT descriptor length. More...
struct | atsc_table_eit
| ATSC EIT table. More...

## Macros

#define | ATSC_TABLE_EIT
| ATSC EIT table ID.
#define | atsc_eit_event_foreach(_event, _eit)
| Macro used to find event on an ATSC EIT table.

## Functions

ssize_t | atsc_table_eit_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct atsc_table_eit **table)
| Initializes and parses ATSC EIT table.
void | atsc_table_eit_free (struct atsc_table_eit *table)
| Frees all data allocated by the ATSC EIT table parser.
void | atsc_table_eit_print (struct dvb_v5_fe_parms *parms, struct atsc_table_eit *table)
| Prints the content of the ATSC EIT table.
void | atsc_time (const uint32_t start_time, struct tm *tm)
| Converts an ATSC EIT formatted timestamp into struct tm.

## Detailed Description

Provides the table parser for the ATSC EIT (Event Information Table).

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ATSC A/65:2009

See also
  http://www.etherguidesystems.com/help/sdos/atsc/syntax/tablesections/eitks.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file atsc_eit.h.